Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (ee8210cf548ea68c1b531ac02ed1ec96c007b9ad)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (ee8210cf548ea68c1b531ac02ed1ec96c007b9ad)
  • Date: Fri, 2 Jan 2009 23:12:11 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

initrd/sbin/smgl.init | 22 ++++++++++++++++++----
iso/usr/share/smgl.install/bashrc | 2 +-
2 files changed, 19 insertions(+), 5 deletions(-)

New commits:
commit ee8210cf548ea68c1b531ac02ed1ec96c007b9ad
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

initrd/sbin/smgl.init: kill udev better

Improved the method in which udevd gets killed before handing off to the
ISO init. It now happens more properly, and has a failsafe in case there
is a problem.

commit 0aaeee2adc22eda6f94b6c82af958e5fbd1703a7
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

smgl.install/bashrc: properly restrict grep

Restricted the grep in num_current to anchor on BOL, or it would find
false positives.

diff --git a/initrd/sbin/smgl.init b/initrd/sbin/smgl.init
index d213658..4c581ad 100755
--- a/initrd/sbin/smgl.init
+++ b/initrd/sbin/smgl.init
@@ -111,13 +111,27 @@ main() {
continue
fi

- umount -n /dev
+
+ UDEVPID="$(pidof udevd)"
+ if [[ -n $UDEVPID ]]
+ then
+ echo "Killing initrd udev ..."
+ if ! kill $UDEVPID
+ then
+ echo "Error killing udevd!"
+ echo -n "[a]bort or [c]ontinue? [ac]"
+ read choice
+ if [[ $choice == "a" ]]
+ then
+ shell
+ fi
+ fi
+ fi
+
umount -n /sys
+ umount -n /dev
umount -n /proc

- echo "Killing initrd udev..."
- kill $(pidof udevd)
-
cd $MOUNT

if [ -d initrd ]; then
diff --git a/iso/usr/share/smgl.install/bashrc
b/iso/usr/share/smgl.install/bashrc
index 9c28e18..54261d7 100644
--- a/iso/usr/share/smgl.install/bashrc
+++ b/iso/usr/share/smgl.install/bashrc
@@ -69,7 +69,7 @@ function prev() {
function num_current() {
local CURSTEP
CURSTEP=$(cat $INSTALLER_STATUS)
- grep -n "$CURSTEP" $INSTALLER_DATA/steps | cut -d: -f1
+ grep -n "^$CURSTEP" $INSTALLER_DATA/steps | cut -d: -f1
}

function num_steps() {



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (ee8210cf548ea68c1b531ac02ed1ec96c007b9ad), Justin Boffemmyer, 01/03/2009

Archive powered by MHonArc 2.6.24.

Top of Page